package org.gudenau.cooler;

import net.minecraft.inventory.IInventory;
import net.minecraft.inventory.Slot;
import net.minecraft.item.ItemFood;
import net.minecraft.item.ItemStack;

public class FoodSlot extends Slot {

	public FoodSlot(IInventory inv, int slot, int x, int y) {
		super(inv, slot, x, y);
	}

	@Override
	public boolean isItemValid(ItemStack stack) {
		if(stack == null || stack.getItem() == null){
			return false;
		}
		
		return stack.getItem() instanceof ItemFood;
	}
}
