package org.gudenau.cooler;

import org.lwjgl.opengl.GL11;

import net.minecraft.client.model.ModelBase;
import net.minecraft.client.model.ModelBox;
import net.minecraft.client.model.ModelRenderer;

public class ModelCooler extends ModelBase {
	
	public ModelRenderer body;
	public ModelRenderer lid;
	public ModelRenderer handle;
	
	public ModelCooler(){
		textureHeight = 32;
		textureWidth = 64;
		
		body	= new ModelRenderer(this, 0, 0);
		lid		= new ModelRenderer(this, 0, 15);
		handle	= new ModelRenderer(this, 0, 25);
		
		body.addBox(1.0F, 0.0F, 7.0F, 14, 8, 7);
		lid.addBox(0.0F, 0.0F, 0.0F, 14, 3, 7);
		lid.setRotationPoint(1, 8, 7);
		
		handle.addBox(-8.0F,  5.5F, -0.5F, 16, 1, 1);
		handle.setTextureOffset(34, 25);
		handle.addBox(-8.0F, -0.5F, -0.5F, 1,  6, 1);
		handle.setTextureOffset(38, 25);
		handle.addBox(7.0F,	 -0.5F, -0.5F, 1,  6, 1);
	}

	private float rot = 0.0F;
	
	public void renderAll() {
		body.render(0.0625F);
		
		GL11.glPushMatrix();
		GL11.glRotatef(180, 0, 1, 0);
		GL11.glTranslatef(-1, 0, -1.3125F);
		lid.render(0.0625F);
		GL11.glPopMatrix();
		
		handle.setRotationPoint(8.0F, 6.5F, 10.5F);
		handle.render(0.0625F);
	}
}
